# See https://github.com/open5gs/open5gs/blob/main/configs/open5gs/smf.yaml.in

logger:
    level: debug

global:
  max:
    ue: 1024

sbi:
    server:
      no_tls: true
      cacert: /etc/open5gs/tls/ca.crt
      key: /etc/open5gs/tls/smf.key
      cert: /etc/open5gs/tls/smf.crt
    client:
      no_tls: true
      cacert: /etc/open5gs/tls/ca.crt
      key: /etc/open5gs/tls/smf.key
      cert: /etc/open5gs/tls/smf.crt

smf:
    sbi:
      server:
        - address: 172.18.161.4
          port: 7777
      client:
        nrf:
          - uri: http://172.18.161.10:7777
        scp:
          - uri: http://127.0.1.10:7777
    pfcp:
      server:
        - address: 172.18.161.4
      client:
        upf:
          - address: 172.18.161.7
    gtpc:
      server:
        - address: 172.18.161.4
    gtpu:
      server:
        - address: 172.18.161.4
    metrics:
      server:
        - address: 172.18.161.4
          port: 9090
    session:
      - subnet: 10.45.0.1/16
        dnn: internet
      - subnet: cafe::1/64
        dnn: internet
    dns:
      - 8.8.8.8
      - 8.8.4.4
      - 2001:4860:4860::8888
      - 2001:4860:4860::8844
    mtu: 1400
    p-cscf:
      - 172.18.161.7
      - fd02:db8:161::7
    ctf:
      enabled: auto
    freeDiameter: /data/freeDiameter-smf.conf

parameter:

max:

time:
